Package wx :: Module grid :: Class GridCellAttr

[frames | no frames]

## Type GridCellAttr

    object --+
             |
            GridCellAttr

Proxy of C++ GridCellAttr class

Method Summary
GridCellAttr | `__init__(self, attrDefault)`
| `__del__(self)`
GridCellAttr | `Clone(self)`
| `DecRef(self)`
(hAlign, vAlign) | `GetAlignment()`
Colour | `GetBackgroundColour(self)`
GridCellEditor | `GetEditor(self, grid, row, col)`
Font | `GetFont(self)`
int | `GetKind(self)`
bool | `GetOverflow(self)`
GridCellRenderer | `GetRenderer(self, grid, row, col)`
(num_rows, num_cols) | `GetSize()`
Colour | `GetTextColour(self)`
bool | `HasAlignment(self)`
bool | `HasBackgroundColour(self)`
bool | `HasEditor(self)`
bool | `HasFont(self)`
bool | `HasOverflowMode(self)`
bool | `HasReadWriteMode(self)`
bool | `HasRenderer(self)`
bool | `HasTextColour(self)`
| `IncRef(self)`
bool | `IsReadOnly(self)`
| `MergeWith(self, mergefrom)`
| `SetAlignment(self, hAlign, vAlign)`
| `SetBackgroundColour(self, colBack)`
| `SetDefAttr(self, defAttr)`
| `SetEditor(self, editor)`
| `SetFont(self, font)`
| `SetKind(self, kind)`
| `SetOverflow(self, allow)`
| `SetReadOnly(self, isReadOnly)`
| `SetRenderer(self, renderer)`
| `SetSize(self, num_rows, num_cols)`
| `SetTextColour(self, colText)`

Property Summary
| `Alignment`: See `GetAlignment` and `SetAlignment`
| `BackgroundColour`: See `GetBackgroundColour` and `SetBackgroundColour`
| `Font`: See `GetFont` and `SetFont`
| `Kind`: See `GetKind` and `SetKind`
| `Overflow`: See `GetOverflow` and `SetOverflow`
| `Size`: See `GetSize` and `SetSize`
| `TextColour`: See `GetTextColour` and `SetTextColour`
| `thisown`: The membership flag

Class Variable Summary
`int` | `Any` = 0
`int` | `Cell` = 2
`int` | `Col` = 4
`int` | `Default` = 1
`int` | `Merged` = 5
`int` | `Row` = 3

Property Details

### Alignment

See `GetAlignment` and `SetAlignment`

  Get Method:
    `GetAlignment`()
  Set Method:
    `SetAlignment`(self, hAlign, vAlign)

### BackgroundColour

See `GetBackgroundColour` and `SetBackgroundColour`

  Get Method:
    `GetBackgroundColour`(self)
  Set Method:
    `SetBackgroundColour`(self, colBack)

### Font

See `GetFont` and `SetFont`

  Get Method:
    `GetFont`(self)
  Set Method:
    `SetFont`(self, font)

### Kind

See `GetKind` and `SetKind`

  Get Method:
    `GetKind`(self)
  Set Method:
    `SetKind`(self, kind)

### Overflow

See `GetOverflow` and `SetOverflow`

  Get Method:
    `GetOverflow`(self)
  Set Method:
    `SetOverflow`(self, allow)

### Size

See `GetSize` and `SetSize`

  Get Method:
    `GetSize`()
  Set Method:
    `SetSize`(self, num_rows, num_cols)

### TextColour

See `GetTextColour` and `SetTextColour`

  Get Method:
    `GetTextColour`(self)
  Set Method:
    `SetTextColour`(self, colText)

### thisown

The membership flag

  Get Method:
    unknown--1218716620(...)
  Set Method:
    unknown--1218716564(...)

Class Variable Details

### Any

  Type:
    `int`
  Value:

        0

### Cell

  Type:
    `int`
  Value:

        2

### Col

  Type:
    `int`
  Value:

        4

### Default

  Type:
    `int`
  Value:

        1

### Merged

  Type:
    `int`
  Value:

        5

### Row

  Type:
    `int`
  Value:

        3

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:56 2007 | http://epydoc.sf.net